## org.eclipse.m2m.atl.common
Class ATLLogFormatter

    java.lang.Object
      java.util.logging.Formatter
          org.eclipse.m2m.atl.common.ATLLogFormatter

    public class ATLLogFormatter

extends java.util.logging.Formatter

Log formatter that is less verbose than SimpleFormatter.

Field Summary
`static ATLLogFormatter` `INSTANCE` The log formatter.

Constructor Summary
`protected` `ATLLogFormatter()` Constructor.

Method Summary
`java.lang.String` `format(java.util.logging.LogRecord record)`

Methods inherited from class java.util.logging.Formatter
`formatMessage, getHead, getTail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final ATLLogFormatter INSTANCE

  The log formatter.

Constructor Detail

### ATLLogFormatter

    protected ATLLogFormatter()

  Constructor.

Method Detail

### format

    public java.lang.String format(java.util.logging.LogRecord record)

  Specified by:
    `format` in class `java.util.logging.Formatter`
  See Also:
    `Formatter.format(java.util.logging.LogRecord)`

Copyright 2007 IBM Corporation and others. All Rights Reserved.